Subject: Re: bug#19470: 24.4; isearch-occur via global-map

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Dec 2020 13:08:50 +0100

Tak Kunihiro <[email-masked]> writes:

> When isearch-occur is called via global-map, buffer exits from
> isearch-mode.
>
> 0. emacs -Q
> 1. C-s then type search string
> 2. M-s o
> 3. occur buffer shows up with isearch-mode (normal)
>
> 0. emacs -Q
> 1. (define-key isearch-mode-map "\M-so" nil)
> 2. (define-key global-map "\M-so" 'isearch-occur)
> 3. C-s then type search string
> 4. M-s o
> 5. occur buffer shows up without isearch-mode
>
> I expect isearch-occur responds in the same way.

(This bug report unfortunately got no response at the time.)

I tried reproducing this bug in Emacs 28, but following the two recipes
gave me identical results, as far as I could tell, so I'm going to go
ahead and guess that this has been fixed in the years that have passed,
and I'm closing this bug report.

If this bug is still present, please respond to the debbugs address and
we'll reopen the report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no